package suicideChess;

import java.util.ArrayList;
import java.util.Random;

import suicideChess.Square.NotAValidSquare;

/**
 * This class will contain all the AI.
 * @author Jean-Baptiste H&eacute;tier
 * @version $LastChangedRevision: 33 $, $LastChangedDate: 2006-01-13 17:03:06 +0000 (Fri, 13 Jan 2006) $
 */

public class ComputerPlayer {
    
    /**
     * This constructor creates a computer.
     */
    public ComputerPlayer() {
        //this.color = color;
    }
        
    /**
     * This asks the computer to compute a move
     * @param bitboard The current status of the {@link Board}
     * @return move A {@link Move}
     * @throws NotAValidSquare 
     * @see Board
     * @see Move
     */
    public Move doMove(Board bitboard, int color) throws NotAValidSquare {
        Random generator = new Random();
        Rules.legalMovesForPlayer(bitboard,color);
        ArrayList<Move> allLegalMoves = Rules.getLegalMovesCapture();
        if (allLegalMoves.size()==0) {
            allLegalMoves = Rules.getLegalMovesNonCapture();
        }
        if (allLegalMoves.size()!=0) {
            return allLegalMoves.get(generator.nextInt(allLegalMoves.size()));
        }
        
        throw new RuntimeException();

    }
    
}